/**
 * For Filter courses with LP v4.1.6
 */

const formOrderBy = document.querySelector( '.thim-course-order select' );
const searchForm = document.querySelector( 'form.search-courses' );
const wpRestUrl = lpGlobalSettings.lp_rest_url;

const lpGetParamsUrl = ( url ) => {
	let objectParams = {};
	const strParams = url.searchParams.toString();
	const params = strParams.split( '&' );

	params.forEach( ( val, i ) => {
		const keyVal = val.split( '=' );
		objectParams[ keyVal[ 0 ] ] = keyVal[ 1 ];
	} );

	return objectParams;
}

// Filter event
const formFilter = document.querySelector( 'form.thim-course-filter' );
if ( formFilter != null ) {
	const getData = ( ele ) => {
		const result = [];
		ele.forEach( ( item ) => {
			if ( item.checked ) {
				result.push( item.value );
			}
		} );
		return result;
	};

	formFilter.addEventListener( 'submit', async function( e ) {
		e.preventDefault();

		const filterCate = formFilter.querySelectorAll( 'ul.list-cate-filter li.term-item input[name="course-cate-filter"]' );
		const cateChecked = await getData( filterCate );

		const filterPrice = formFilter.querySelectorAll( 'ul.list-price-filter li.price-item input[name="course-price-filter"]' );
		const priceChecked = await getData( filterPrice );

		const filterUser = formFilter.querySelectorAll( 'ul.list-instructor-filter li.instructor-item input[name="course-instructor-filter"]' );
		const userChecked = await getData( filterUser );

        const urlCurrent = new URL( document.location );
    	urlCurrent.searchParams.set( 'term_id', cateChecked.toString() || '' );
        urlCurrent.searchParams.set( 'c_authors', userChecked.toString() || '' );
        urlCurrent.searchParams.set( 'sort_by', priceChecked.toString() || '' );
        urlCurrent.searchParams.delete( 'paged' );
    	const objectParams = lpGetParamsUrl( urlCurrent );

    	window.lpArchiveRequestCourse( { ...objectParams } );
    	window.history.pushState( '', '', urlCurrent );
	} );
}

// Select option orderby archive course
formOrderBy && formOrderBy.addEventListener( 'change', function() {
	const urlCurrent = new URL( document.location );
	urlCurrent.searchParams.set( 'order_by', this.value || '' );
	const objectParams = lpGetParamsUrl( urlCurrent );
	window.lpArchiveRequestCourse( { ...objectParams } );

	window.history.pushState( '', '', urlCurrent );
} );

wp.hooks.addAction( 'lp-js-get-courses', 'lp', function ( response ) {
	const elCourseIndex = document.querySelector( '.course-index' );
	if( elCourseIndex ) {
		const span = elCourseIndex.querySelector( 'span' );
		if( span && response.data.from_to !== undefined ) {
			span.innerHTML = response.data.from_to;
		}
	}
})
